{
    "auto_zram": [
        {
            "auto_zram_flash": [16],
            "auto_zram_ram_2G": {
                "def_bdsize":0.5, "0.5":1024
            }
        },
        {
            "auto_zram_flash": [32],
            "auto_zram_ram_2G":{
                "def_bdsize":0.5, "0.5":1024, "1.0":1024, "2.0":2048
            },
            "auto_zram_ram_3G":{
                "def_bdsize":0.5, "0.5":1536, "1.0":1536, "2.0":2048
            }
        },
        {
            "auto_zram_flash": [64],
            "auto_zram_ram_2G":{
                "def_bdsize":1.0, "0.5":1024, "1.0":1024, "2.0":2048
            },
            "auto_zram_ram_3G":{
                "def_bdsize":1.0, "1.0":2048, "2.0":2048, "3.0":3072
            },
            "auto_zram_ram_4G":{
                "def_bdsize":1.0, "1.0":3072, "2.0":3072, "4.0":4096
            },
            "auto_zram_ram_6G":{
                "def_bdsize":2.0, "1.0":4096, "2.0":4096, "4.0":4096
            }
        },
        {
            "auto_zram_flash": [128],
            "auto_zram_ram_4G":{
                "def_bdsize":2.0, "1.0":3072, "2.0":3072, "4.0":4096
            },
            "auto_zram_ram_6G":{
                "def_bdsize":2.0, "2.0":4096, "4.0":4096, "6.0":6144
            },
            "auto_zram_ram_8G":{
                "def_bdsize":4.0, "4.0":6144, "6.0":6144, "8.0":8192
            },
            "auto_zram_ram_12G":{
                "def_bdsize":4.0, "4.0":8192, "6.0":8192, "8.0":8192
            },
            "auto_zram_ram_16G":{
                "def_bdsize":4.0, "4.0":12288, "6.0":12288, "8.0":12288
            },
            "auto_zram_ram_24G":{
                "def_bdsize":4.0, "4.0":16384, "6.0":16384, "8.0":16384
            }
        },
        {
            "auto_zram_flash": [256],
            "auto_zram_ram_6G":{
                "def_bdsize":4.0, "2.0":4096, "4.0":4096, "6.0":6144
            },
            "auto_zram_ram_8G":{
                "def_bdsize":4.0, "4.0":6144, "6.0":6144, "8.0":8192
            },
            "auto_zram_ram_12G":{
                "def_bdsize":4.0, "4.0":8192, "6.0":8192, "8.0":8192
            },
            "auto_zram_ram_16G":{
                "def_bdsize":4.0, "4.0":12288, "6.0":12288, "8.0":12288
            },
            "auto_zram_ram_24G":{
                "def_bdsize":4.0, "4.0":16384, "6.0":16384, "8.0":16384
            }
        },
        {
            "auto_zram_flash": [512, 1024],
            "auto_zram_ram_6G":{
                "def_bdsize":4.0, "2.0":4096, "4.0":4096, "6.0":6144
            },
            "auto_zram_ram_8G":{
                "def_bdsize":6.0, "4.0":6144, "6.0":6144, "8.0":8192
            },
            "auto_zram_ram_12G":{
                "def_bdsize":6.0, "4.0":8192, "6.0":8192, "8.0":8192
            },
            "auto_zram_ram_16G":{
                "def_bdsize":6.0, "4.0":14336, "6.0":14336, "8.0":14336
            },
            "auto_zram_ram_24G":{
                "def_bdsize":6.0, "4.0":16384, "6.0":16384, "8.0":16384
            }
        }
    ],
    "zram":[
        {
            "product_name": ["evergo", "evergreen", "opal", "selene", "spes", "fog", "wind", "rain", "spesn", "earth", "aether", "eos", "rock", "stone", "camellian", "camellia"],
            "zram_size": {
                "def":512,"2":1024,"3":3072,"4":4096,"6":4096,"8":6144,"10":6144,"12":8192,"16":14336, "18":14336, "20":15360, "24":15360, "32":16384
            }
        },
        {
            "product_name": ["viva"],
            "zram_size": {
                "4":4096
            }
        }
    ]
}
